enum ProductCategory { food, drink, beverage }

class ProductModel {
  final String name;
  final String image;
  final String description;
  final double price;
  final ProductCategory category;
  final String id;
  int quantity;

  ProductModel({
    required this.name,
    required this.image,
    required this.description,
    required this.price,
    required this.category,
    required this.id,
    this.quantity = 1,
  });
}
