import 'package:cheminova/screens/authentication/controller/auth_service.dart';
import 'package:cheminova/screens/home_screen.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class AuthController extends GetxController {
  final authService = AuthService();

  TextEditingController emailController = TextEditingController();
  TextEditingController passwordController = TextEditingController();
  TextEditingController phoneController = TextEditingController();
  RxBool isLoading = false.obs;

  Future<void> login() async {
    isLoading.value = true;
    final response = await authService.login({
      'email': emailController.text,
      'password': passwordController.text,
    });
    isLoading.value = false;
    update();
    if (response != null) {
      Get.offAll(() => const HomeScreen());
    }
  }
}
